All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
uhd::_log Namespace Reference

## Classes

class | log
| Internal logging object (called by UHD_LOG macros) More...

## Enumerations

enum | verbosity_t { always = 1, often = 2, regularly = 3, rarely = 4, very_rarely = 5, never = 6 }
| Verbosity levels for the logger. More...

## Enumeration Type Documentation

enum uhd::_log::verbosity_t

Verbosity levels for the logger.

Enumerator
always |
often |
regularly |
rarely |
very_rarely |
never |